Delete Task tasks.task.delete

Scope: task

Who can execute the method: user with permission to delete a task

The method tasks.task.delete removes a task.

You can check the permission to delete a task using the task access check method.

Method Parameters

Required parameters are marked with *

Name
type

Description

id*
integer

Task identifier.

The task identifier can be obtained when creating a new task or using the old method of getting the list of tasks

Code Examples

How to Use Examples in Documentation

The new API call differs by adding the /api/ parameter to the request:

https://{installation_address}/rest/api/{user_id}/{webhook_token}/tasks.task.delete

curl -X POST \
        -H "Content-Type: application/json" \
        -H "Accept: application/json" \
        -d '{"id":8131}' \
        https://**put_your_bitrix24_address**/rest/api/**put_your_user_id_here**/**put_your_webhook_here**/tasks.task.delete
        
curl -X POST \
        -H "Content-Type: application/json" \
        -H "Accept: application/json" \
        -d '{"id":8131,"auth":"**put_access_token_here**"}' \
        https://**put_your_bitrix24_address**/rest/api/tasks.task.delete
        

The SDK does not yet support calls to the address /rest/api/. Use direct HTTP requests, for example, via curl or fetch.

try
        {
            const response = await $b24.callMethod(
                'tasks.task.delete',
                {
                    id: 8131,
                }
            );
            
            const result = response.getData().result;
            console.log('Deleted task:', result);
            
            processResult(result);
        }
        catch( error )
        {
            console.error('Error:', error);
        }
        

The SDK does not yet support calls to the address /rest/api/. Use direct HTTP requests, for example, via curl or fetch.

try {
            $response = $b24Service
                ->core
                ->call(
                    'tasks.task.delete',
                    [
                        'id' => 8131
                    ]
                );
        
            $result = $response
                ->getResponseData()
                ->getResult();
        
            echo 'Success: ' . print_r($result, true);
        
        } catch (Throwable $e) {
            error_log($e->getMessage());
            echo 'Error deleting task: ' . $e->getMessage();
        }
        

The SDK does not yet support calls to the address /rest/api/. Use direct HTTP requests, for example, via curl or fetch.

BX24.callMethod(
            'tasks.task.delete',
            {
                id: 8131
            },
            function(result){
                console.info(result.data());
                console.log(result);
            }
        );
        

The SDK does not yet support calls to the address /rest/api/. Use direct HTTP requests, for example, via curl or fetch.

require_once('crest.php');
        
        $result = CRest::call(
            'tasks.task.delete',
            [
                'id' => 8131
            ]
        );
        
        echo '<PRE>';
        print_r($result);
        echo '</PRE>';
        

Response Handling

HTTP Status: 200

{
            "result": {
                "result": true
            },
            "time": {
                "start": 1765366175,
                "finish": 1765366176.329242,
                "duration": 1.3292419910430908,
                "processing": 1,
                "date_start": "2025-12-10T14:29:35+01:00",
                "date_finish": "2025-12-10T14:29:36+01:00",
                "operating_reset_at": 1765366775,
                "operating": 0
            }
        }
        

Returned Data

Name
type

Description

result
boolean

Root element of the response.

Contains an object with the key result and the value true if the task was successfully deleted

time
time

Information about the request execution time

Error Handling

HTTP Status: 400

{
            "error": {
                "code": "BITRIX_REST_V3_EXCEPTION_ACCESSDENIEDEXCEPTION",
                "message": "Access denied"
            }
        }
        

Name
type

Description

error.code
string

String error code. Use it to identify the type of exception

error.message
string

Text description of the error

error.validation
array

Array with error details. Present only in data validation errors BITRIX_REST_V3_EXCEPTION_VALIDATION_REQUESTVALIDATIONEXCEPTION

error.validation[].field
string

Name of the field where the validation error occurred

error.validation[].message
string

Description of the error related to the specified field

Possible Error Codes

Request Validation Errors

Error Code: BITRIX_REST_V3_EXCEPTION_VALIDATION_REQUESTVALIDATIONEXCEPTION

Field

Error Description

How to Fix

id

Required field id is missing

Add id to the request body

id

Field id requires data type int for this request

Ensure the value is a number, not a string

Access Error

Error Code: BITRIX_REST_V3_EXCEPTION_ACCESSDENIEDEXCEPTION

Field

Error Description

How to Fix

id

Access denied

No access to the task

Statuses and System Error Codes

HTTP Status: 20x, 40x, 50x

The errors described below may occur when calling any method.

Status

Code
Error Message

Description

500

INTERNAL_SERVER_ERROR
Internal server error

An internal server error has occurred, please contact the server administrator or Bitrix24 technical support

500

ERROR_UNEXPECTED_ANSWER
Server returned an unexpected response

An internal server error has occurred, please contact the server administrator or Bitrix24 technical support

503

QUERY_LIMIT_EXCEEDED
Too many requests

The request intensity limit has been exceeded

405

ERROR_BATCH_METHOD_NOT_ALLOWED
Method is not allowed for batch usage

The current method is not allowed to be called using batch

400

ERROR_BATCH_LENGTH_EXCEEDED
Max batch length exceeded

The maximum length of parameters passed to the batch method has been exceeded

401

NO_AUTH_FOUND
Wrong authorization data

Invalid access token or webhook code

400

INVALID_REQUEST
Https required

The methods must be called using the HTTPS protocol

503

OVERLOAD_LIMIT
REST API is blocked due to overload

The REST API is blocked due to overload. This is a manual individual block, to remove it you need to contact Bitrix24 technical support

403

ACCESS_DENIED
REST API is available only on commercial plans

The REST API is available only on commercial plans

403

INVALID_CREDENTIALS
Invalid request credentials

The user whose access token or webhook was used to call the method lacks permissions

404

ERROR_MANIFEST_IS_NOT_AVAILABLE
Manifest is not available

The manifest is not available

403

insufficient_scope
The request requires higher privileges than provided by the webhook token

The request requires higher privileges than those provided by the webhook token

401

expired_token
The access token provided has expired

The provided access token has expired

403

user_access_error
The user does not have access to the application

The user does not have access to the application. This means that the application is installed, but the account administrator has allowed access to this application only for specific users

500

PORTAL_DELETED
Portal was deleted

The public part of the site is closed. To open the public part of the site on an on-premise installation, disable the option "Temporary closure of the public part of the site". Path to the setting: Desktop > Settings > Product Settings > Module Settings > Main Module > Temporary closure of the public part of the site

Continue Learning